Bug 312643 - Crash when adding a new filebook
Summary: Crash when adding a new filebook
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-04 22:17 UTC by Sven Langkamp
Modified: 2013-01-05 11:15 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Langkamp 2013-01-04 22:17:13 UTC
Application: krita (2.7 Pre-Alpha)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-35-generic x86_64
Distribution: Ubuntu 12.04.1 LTS

-- Information about the crash:
- What I was doing when the application crashed:
Tried to create a new flipbook, after I selected a file it crashed.

The crash can be reproduced every time.

-- Backtrace:
Application: Krita (krita), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7ffdc7199780 (LWP 2821))]

Thread 7 (Thread 0x7ffda7548700 (LWP 2822)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffdc458c4db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007ffdc4588314 in QSemaphore::acquire(int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007ffdb03c1e7d in waitForWork (this=0x25a9af0) at /home/sven/kde/src/calligra/krita/image/tiles3/kis_tile_data_pooler.cc:162
#4  KisTileDataPooler::run (this=0x25a9af0) at /home/sven/kde/src/calligra/krita/image/tiles3/kis_tile_data_pooler.cc:184
#5  0x00007ffdc458bfcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007ffdbf9e6e9a in start_thread (arg=0x7ffda7548700) at pthread_create.c:308
#7  0x00007ffdc66f5cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ffda6d47700 (LWP 2823)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffdc458c4db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007ffdc4588759 in QSemaphore::tryAcquire(int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007ffdb03f0eba in KisTileDataSwapper::run (this=0x25a9b28) at /home/sven/kde/src/calligra/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#4  0x00007ffdc458bfcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007ffdbf9e6e9a in start_thread (arg=0x7ffda6d47700) at pthread_create.c:308
#6  0x00007ffdc66f5cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ffd96026700 (LWP 2828)):
#0  0x00007ffdc66ef023 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007ffdc46b7366 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007ffdc46bc7b2 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007ffdc46bcca3 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007ffdc4689c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007ffdc4689ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007ffdc4588fa7 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007ffdc46699ff in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007ffdc458bfcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007ffdbf9e6e9a in start_thread (arg=0x7ffd96026700) at pthread_create.c:308
#10 0x00007ffdc66f5cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ffda4997700 (LWP 2831)):
#0  0x00007ffdc66ef023 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007ffdc46b7366 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007ffdc46bc7b2 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007ffdc46bcca3 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007ffdc4689c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007ffdc4689ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007ffdc4588fa7 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007ffdc46699ff in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007ffdc458bfcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007ffdbf9e6e9a in start_thread (arg=0x7ffda4997700) at pthread_create.c:308
#10 0x00007ffdc66f5cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ffd83e60700 (LWP 2843)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ffdc458c4db in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007ffdc558e354 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#3  0x00007ffdc458bfcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007ffdbf9e6e9a in start_thread (arg=0x7ffd83e60700) at pthread_create.c:308
#5  0x00007ffdc66f5cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#6  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ffd8365f700 (LWP 2844)):
#0  0x00007ffdc66ef023 in select () at ../sysdeps/unix/syscall-template.S:82
#1  0x00007ffdc46b7366 in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007ffdc46bc7b2 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007ffdc46bcca3 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007ffdc4689c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007ffdc4689ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007ffdc4588fa7 in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007ffdc46699ff in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007ffdc458bfcb in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007ffdbf9e6e9a in start_thread (arg=0x7ffd8365f700) at pthread_create.c:308
#10 0x00007ffdc66f5cbd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ffdc7199780 (LWP 2821)):
[KCrash Handler]
#6  0x00007ffdc6638425 in __GI_raise (sig=<optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#7  0x00007ffdc663bb8b in __GI_abort () at abort.c:91
#8  0x00007ffdc458150b in qt_message_output(QtMsgType, char const*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007ffdc45818bf in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007ffdc4581a64 in qFatal(char const*, ...) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#11 0x00007ffdb0a795d3 in KisNodeDummiesGraph::addNode (this=0x3d83d50, node=0x3d9c050, parent=0x0, aboveThis=0x0) at /home/sven/kde/src/calligra/krita/ui/flake/kis_node_dummies_graph.cpp:123
#12 0x00007ffdb0a86c13 in KisNodeShapesGraph::addNode (this=0x3d83d50, node=..., parent=..., aboveThis=...) at /home/sven/kde/src/calligra/krita/ui/flake/kis_node_shapes_graph.cpp:45
#13 0x00007ffdb0a8c690 in KisShapeController::addNodeImpl (this=0x351e8b0, node=..., parent=..., aboveThis=...) at /home/sven/kde/src/calligra/krita/ui/flake/kis_shape_controller.cpp:91
#14 0x00007ffdb0a7c2a5 in KisDummiesFacadeBase::slotContinueAddNode (this=0x351e8b0, node=..., parent=..., aboveThis=...) at /home/sven/kde/src/calligra/krita/ui/flake/kis_dummies_facade_base.cpp:144
#15 0x00007ffdb0a185d9 in KisDummiesFacadeBase::qt_static_metacall (_o=0x351e8b0, _c=<optimized out>, _id=<optimized out>, _a=0x7fffb739b280) at /home/sven/kde/build/calligra/krita/ui/moc_kis_dummies_facade_base.cpp:92
#16 0x00007ffdc469f281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007ffdb0a16c2c in KisDummiesFacadeBase::sigContinueAddNode (this=<optimized out>, _t1=..., _t2=..., _t3=...) at /home/sven/kde/build/calligra/krita/ui/moc_kis_dummies_facade_base.cpp:142
#18 0x00007ffdb0a7f16d in KisDummiesFacadeBase::slotNodeAdded (this=0x351e8b0, node=...) at /home/sven/kde/src/calligra/krita/ui/flake/kis_dummies_facade_base.cpp:115
#19 0x00007ffdb0a81902 in KisDummiesFacadeBase::setImage (this=0x351e8b0, image=...) at /home/sven/kde/src/calligra/krita/ui/flake/kis_dummies_facade_base.cpp:64
#20 0x00007ffdb0af9cbb in KisDoc2::setCurrentImage (this=0x3575b20, image=...) at /home/sven/kde/src/calligra/krita/ui/kis_doc2.cc:491
#21 0x00007ffd8661faaa in FlipbookDockerDock::selectImage (this=0x4ac80c0, index=...) at /home/sven/kde/src/calligra/krita/plugins/extensions/dockers/flipbook/flipbookdocker_dock.cpp:292
#22 0x00007ffd86621640 in selectImage (index=..., this=0x4ac80c0) at /home/sven/kde/src/calligra/krita/plugins/extensions/dockers/flipbook/flipbookdocker_dock.cpp:281
#23 FlipbookDockerDock::newFlipbook (this=0x4ac80c0) at /home/sven/kde/src/calligra/krita/plugins/extensions/dockers/flipbook/flipbookdocker_dock.cpp:200
#24 0x00007ffd86621f08 in FlipbookDockerDock::qt_static_metacall (_o=0x4ac80c0, _id=2, _a=0x7fffb739bda0, _c=<optimized out>) at /home/sven/kde/build/calligra/krita/plugins/extensions/dockers/flipbook/flipbookdocker_dock.moc:68
#25 0x00007ffdc469f281 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#26 0x00007ffdc5714c72 in QAbstractButton::clicked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#27 0x00007ffdc5452a4e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#28 0x00007ffdc5453d8b in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#29 0x00007ffdc5453ffc in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#30 0x00007ffdc55115da in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#31 0x00007ffdc50d5144 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#32 0x00007ffdc5084894 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#33 0x00007ffdc508a0bf in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#34 0x00007ffdc626a8be in KoApplication::notify (this=<optimized out>, receiver=0x4accc70, event=0x7fffb739c690) at /home/sven/kde/src/calligra/libs/main/KoApplication.cpp:523
#35 0x00007ffdc468ae9c in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#36 0x00007ffdc5085862 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#37 0x00007ffdc5104bf5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#38 0x00007ffdc5103bae in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#39 0x00007ffdc512db3a in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#40 0x00007ffdc4689c82 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#41 0x00007ffdc4689ed7 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#42 0x00007ffdc468ef67 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#43 0x00007ffdc6ba5b8d in kdemain (argc=<optimized out>, argv=<optimized out>) at /home/sven/kde/src/calligra/krita/main.cc:114
#44 0x00007ffdc662376d in __libc_start_main (main=0x400620 <main(int, char**)>, argc=1, ubp_av=0x7fffb739d3c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffb739d3b8) at libc-start.c:226
#45 0x0000000000400651 in _start ()

Reported using DrKonqi
Comment 1 Halla Rempt 2013-01-05 11:15:43 UTC
Git commit 1be5e58e9500b8dd27f4a49f29becae7d61fc97b by Boudewijn Rempt.
Committed on 05/01/2013 at 12:16.
Pushed by rempt into branch 'master'.

Don't crash when creating a new flipbook

The crash would happen when creating a new flipbook while there was
no current flipbook open, but only if there was an open image.

M  +37   -6    krita/plugins/extensions/dockers/flipbook/flipbookdocker_dock.cpp
M  +3    -0    krita/ui/kis_doc2.cc
M  +1    -1    krita/ui/kis_node_model.cpp

http://commits.kde.org/calligra/1be5e58e9500b8dd27f4a49f29becae7d61fc97b